%define upstream_name    URI-cpan
%define upstream_version 1.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    URLS that refer to things on the CPAN
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
URLS that refer to things on the CPAN

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Sep 06 2023 tv <tv> 1.9.0-1.mga10
+ Revision: 1984752
- update to 1.009

* Mon Mar 28 2022 umeabot <umeabot> 1.8.0-2.mga9
+ Revision: 1830552
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 1.8.0-1.mga9
+ Revision: 1763123
- update to 1.008

* Tue Sep 08 2020 tv <tv> 1.7.0-1.mga8
+ Revision: 1623691
- imported package perl-URI-cpan

